/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ht.ui.chart;

import java.util.Collection;
import java.util.List;

import javafx.scene.chart.Chart;

import com.ht.tags.model.index.IndexTreeNode;

/**
 *
 * @author Administrator
 */
public interface ICmpChartWrapper {
	public void showLongTitle();
	public void showShortTitle();
    public void setDateTitle(String dateTitle);
    public void setPreTitle(String preTitle);
    public void setSufTitle(String sufTitle);
    public Chart getChart();
    public void clearData();
    
	public void showAsAreaData();
	public void showAsAirConditionAreaData();
	public void showAsHeatingAreaData();
	public void showAsNormalData(); 
    public Collection<IndexTreeNode> getCategoryList();
}
